Summary:       Sample rate conversion library for audio data
Name:          libsamplerate
Version:       0.2.2
Release:       6%{?dist}
License:       BSD
URL:           https://libsndfile.github.io/libsamplerate/
Source0:       https://github.com/libsndfile/libsamplerate/releases/download/%{version}/libsamplerate-%{version}.tar.xz

BuildRequires: alsa-lib-devel fftw-devel >= 0.15.0
BuildRequires: gcc make pkgconfig
BuildRequires: libsndfile-devel >= 1.0.6

%description
Secret Rabbit Code is a sample rate converter for audio. It is capable
of arbitrary and time varying conversions. It can downsample by a
factor of 12 and upsample by the same factor. The ratio of input and
output sample rates can be a real number. The conversion ratio can
also vary with time for speeding up and slowing down effects.


%package devel
Summary:       Development related files for libsamplerate
Requires:      libsamplerate = %{version}-%{release}
Requires:      pkgconfig

%description devel
Secret Rabbit Code is a sample rate converter for audio. It is capable
of arbitrary and time varying conversions. It can downsample by a
factor of 12 and upsample by the same factor. The ratio of input and
output sample rates can be a real number. The conversion ratio can
also vary with time for speeding up and slowing down effects.
This package contains development files for libsamplerate

%prep
%autosetup

%build
%configure --disable-dependency-tracking --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install
rm %{buildroot}%{_libdir}/libsamplerate.la

%check
export LD_LIBRARY_PATH=`pwd`/src/.libs
%make_build check
unset LD_LIBRARY_PATH

%files
%doc AUTHORS README.md
%license COPYING
%{_libdir}/libsamplerate.so.0*

%files devel
%{_includedir}/samplerate.h
%{_libdir}/libsamplerate.so
%{_libdir}/pkgconfig/samplerate.pc
%{_pkgdocdir}/*
%exclude %{_pkgdocdir}/AUTHORS
%exclude %{_pkgdocdir}/README.md

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.2-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.2-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.2-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 30 2022 Feng Weiyao <wynnfeng@tencent.com> - 0.2.2-1
- package init.
